| GET | /RestApi/translations/projects/count |
|---|
import Foundation
import ServiceStack
public class GetProjectsCount : IProjectsFilter, Codable
{
public var skip:Int?
public var take:Int?
public var orderExpression:String
public var searchText:String
public var service:[String]
public var projectStatus:ProjectStatus?
public var actualSourceLanguage:String
public var withoutSourceLanguage:Bool
required public init(){}
}
public enum ProjectStatus : String, Codable
{
case NotStarted
case Started
case Completed
}
public class CountProxy : Codable
{
public var totalCount:Int
required public init(){}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/count HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"TotalCount":0}